Subject: [bug#36513] texlive-union: Build missing font maps.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 05 Sep 2019 10:35:01 +0200

Moin!

Ricardo Wurmus <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Ricardo Wurmus <[email-masked]> skribis:
>>
>>> Ludovic Courtès <[email-masked]> writes:
>>>
>>>> Ricardo Wurmus <[email-masked]> skribis:
>>>>
>>>>> In addition to this change I just pushed to wip-texlive a number of
>>>>> changes that may lead to an even bigger number of rebuilds due to
>>>>> changes in the svn fetcher and even more TeX packages.
>>
>> [...]
>>
>>> The “wip-texlive” branch is now being built on Berlin.
>>
>> We’ll probably need to rebase it now, but otherwise it seemed to be in
>> good shape: <https://berlin.guixsd.org/jobset/wip-texlive>.
>
> It has already been merged some time ago.  I did however notice a couple
> more problems with our TeX Live packages that will require some deep
> rebuilds again.
>
> I’m very close to fixing these problems, but I’m currently stuck with a
> confusing search path issue that I have yet to fully understand.  Once
> that’s done I’ll push my work to wip-texlive and have Berlin build it
> again.

Ah OK, sounds good.

> My fixes should finally solve the font problems.  (I’m using my WIP
> package for “guile-cv” as a test case, which currently cannot be built
> as it fails to find certain fonts.)

Cool, thanks for explaining!

Ludo’.